apiready = function(){
    api.parseTapmode();
    init();
    initDate();
    bindTour();
}
function init(){
  $api.rmStorage('productSchedule');
  $api.rmStorage('productInfo');
  $api.rmStorage('productScheduleList');
}
function initDate(){
  Date.prototype.Format = function(fmt){
      var o = {
        "M+" : this.getMonth()+1,                 //月份
        "d+" : this.getDate(),                    //日
        "h+" : this.getHours(),                   //小时
        "m+" : this.getMinutes(),                 //分
        "s+" : this.getSeconds(),                 //秒
        "q+" : Math.floor((this.getMonth()+3)/3), //季度
        "S"  : this.getMilliseconds()             //毫秒
      };
      if(/(y+)/.test(fmt))
        fmt=fmt.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length));
      for(var k in o)
        if(new RegExp("("+ k +")").test(fmt))
      fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));
      return fmt;
    }
}
function bindTab(index){
  var tab = new auiTab({
      element:document.getElementById("tab"),
      index:index,
      repeatClick:true
  },function(ret){
    switch (ret.index) {
      case 1:
        $('#tabRoute').show();
        $('#tabCost').hide();
        $('#tabDesc').hide();
        break;
      case 2:
        $('#tabRoute').hide();
        $('#tabCost').show();
        $('#tabDesc').hide();
        break;
      case 3:
        $('#tabRoute').hide();
        $('#tabCost').hide();
        $('#tabDesc').show();
        break;
      case 4:
        $('#tabRoute').hide();
        $('#tabCost').hide();
        $('#tabDesc').show();
        break;
    }
  });
}
function initSlide(){
   var slide = new auiSlide({
     container:document.getElementById("aui-slide"),
     // "width":300,
     "height":300,
     "speed":500,
     'autoPlay':3000,
     "pageShow":true,
     "pageStyle":'dot',
     "loop":true,
     'dotPosition':'center',
       currentPage:function(){

       }
   });
}
function bindTour(){
  api.showProgress({
    title : ' ',
    text : '加载中...',
    modal : true
  });
  var pid= api.pageParam.pid;
  var result = getAgentProduct({pid:pid});
  result.then(function (res) {
    console.log(JSON.stringify(res));
    api.hideProgress();
     if(res.status == 200){
       $.each(res.info.scheduleList,function(index,item) {
           var sdDate=item.PS_ScheduleDate;
           var date=new Date(sdDate);
           var strdate=(date.getMonth()+1)+"月"+date.getDate()+'日';
           item.PS_ScheduleDate=strdate;
           item.PS_PersonPeerPrice=Number(item.PS_PersonPeerPrice).toFixed(2);
           item.PS_PersonPrice=Number(item.PS_PersonPrice).toFixed(2);
       });
       $.each(res.info.imageList,function(index,item) {
            item.PI_ImgUrl = imageUrl + item.PI_ImgUrl;
       });
       $.each(res.info.journeyList,function(index,item) {
          $.each(item.journeyImage,function(subindex,subitem) {
             subitem.PJI_ImageUrl = imageUrl + subitem.PJI_ImageUrl;
          });
       });
       //获取产品价格
       var scheduleList=res.info.scheduleList;
       if(scheduleList&&scheduleList.length>0){
         var schedule=scheduleList[0];
          $api.setStorage('productSchedule',schedule);
       }
       $api.setStorage('productScheduleList',scheduleList);
       $api.setStorage('productInfo',res.info);
       var html = template('product_tmpl',{product:res.info});
       $('#div_product').html(html);
       initSlide();
       bindTab(1);
       initPrice();
     }
  });
}
function initPrice(){
  var productSchedule=$api.getStorage('productSchedule');
  var totalPrice=0.00;
  if(productSchedule&&productSchedule!='undefined'){
    // console.log(JSON.stringify(productSchedule));
      var price=Number(productSchedule.PS_PersonPeerPrice).toFixed(2);
      var childPrice=Number(productSchedule.PS_ChildPeerPrice).toFixed(2);
      $('#productprice').text(price);
      $('#childprice').text(childPrice);
      $('#spScheduleDate').text(productSchedule.PS_ScheduleDate);
      var personCount=Number($('#divPersonCount').text());
      var childCount=Number($('#divChildCount').text());
      if(personCount>0){
         totalPrice=Number(price*personCount).toFixed(2);
      }
      if(childCount>0){
        totalPrice=(Number(totalPrice)+Number(childCount*childPrice)).toFixed(2);
      }
  }
  $('#spTotalPrice').text(totalPrice);
}
//选择班期
function onSelScheduleDate(){
  var scheduleList=$api.getStorage('productScheduleList');
  if(!scheduleList||scheduleList.length<=0){
    api.toast({	msg:'抱歉，该旅游线路没有班期',duration:2000,location:'bottom'});
  }
  var list=[];
  for (var i = 0; i < scheduleList.length; i++) {
     var item=scheduleList[i];
     item.PS_PersonPrice = Number(item.PS_PersonPeerPrice).toFixed(2);
     item.PS_ChildPrice = Number(item.PS_ChildPeerPrice).toFixed(2);
     list.push({
       text:item.PS_ScheduleDate+'      成人价:'+item.PS_PersonPeerPrice+'，儿童价:'+item.PS_ChildPeerPrice+'',
       value:item,
     });
  }
  openSelector('选择出发日期',list,function(ret){
      $api.setStorage('productSchedule',ret[0].value);
      initPrice();
  },260);
}
function onMinus(controlName) {
    var controlName='#'+controlName;
    var count = Number($(controlName).text()) - 0;
    // if(controlName=='#divPersonCount'){
    //   if((count - 1)==0){
    //     return;
    //   }
    // }
    if (count < 1) {
        return;
    } else {
        $(controlName).text(count - 1);
    }
    initPrice();
}
function onAdd(controlName) {
    var controlName='#'+controlName;
    var count = $(controlName).text() - 0;
    $(controlName).text(count + 1);
    initPrice();
}
function tel(mobile){
  api.call({
      type: 'tel_prompt',
      number: mobile
  });
}
function onTourConfirm(){
  var userid=$api.getStorage('userid');
  if(!userid){
    setTimeout(function() {
      api.closeWin();
    }, 1000);
    api.openWin({
        name: 'login',
        url: '../user/loginpwd.html',
    });
    return;
  }
  var isVip=$api.getStorage('isVip');
  if(isVip==0){
    api.toast({	msg:"抱歉，您不是会员无法进行下单，请先缴纳会员费。",duration:2000,location:'bottom'});
    return;
  }
  var personCount=Number($('#divPersonCount').text());
  var childCount=Number($('#divChildCount').text());
  var productSchedule=$api.getStorage('productSchedule');
  var productInfo=$api.getStorage('productInfo');

  var price=Number(productSchedule.PS_PersonPeerPrice).toFixed(2);
  var childPrice=Number(productSchedule.PS_ChildPeerPrice).toFixed(2);
  var totalPrice=0.00;
  if(personCount>0){
     totalPrice=Number(price*personCount).toFixed(2);
  }
  if(childCount>0){
    totalPrice=(Number(totalPrice)+Number(childCount*childPrice)).toFixed(2);
  }
  var psid=productSchedule.PS_Id;
  var result = checkSchedule({psid:psid});
  result.then(function (res) {
    if(res.status == 200){
      api.openWin({
          name: 'tourconfirm',
          url: './tourconfirm.html',
          pageParam:{
            productInfo:productInfo,
            productSchedule:productSchedule,
            totalPrice:totalPrice,
            personCount:personCount,
            childCount:childCount
          }
      });
    }else{
      api.toast({	msg:"抱歉，您选择的线路班期已过期，请重新选择。",duration:2000,location:'bottom'});
    }
  });

}
