apiready = function(){
  api.parseTapmode();
  init();
  initListener();
  initControl();
  bindUserCert();
  bindSelUserCert();
}
//监听数据
function initListener(){
  api.addEventListener({
      name:'FlighStorage'
  },function(){
    initControl();
  });
}
//初始化
function init(){
  var flight=api.pageParam.flight;
  $api.setStorage('flight',flight);
  // console.log(JSON.stringify(flight));
  var html = template('header_tmpl',{flight:flight});
  $('#div_header').html(html);

  $('#spStartCity').text(flight.orgCity);
  $('#spEndCity').text(flight.dstCity);
  initTotal();

}
//底部结算
function initTotal(){
  var seatItem=api.pageParam.seatItem;
  var price=seatItem.policys.priceDatas[0].settlement;
   var selectusercert=$api.getStorage('selectusercert');
   var count=0;
   if(selectusercert){
    count=selectusercert.length;
   }

  var total={};
  total.totalPrice=Number(price).toFixed(2)*Number(count)
  total.count=count;
  total.seatMsg=seatItem.seatMsg;
  var html = template('footer_tmpl',{total:total});
  $('#div_footer').html(html);
}

//初始化控件值
function initControl(){
  var contactName= $api.getStorage('Flight_ContactName');
  // console.log(JSON.stringify(contactName));
  if(contactName){
    $('#spContactName').text(contactName);
    $('#spContactName').css('color','#a0a0a0');
  }else{
    $('#spContactName').text("用于客服联系您");
    $('#spContactName').css('color','#e6e6e6');
  }
  var mobile= $api.getStorage('Flight_Mobile');
  if(mobile){
    $('#spMobile').text(mobile);
    $('#spMobile').css('color','#a0a0a0');
  }else{
    $('#spMobile').text("用于接受短信");
    $('#spMobile').css('color','#e6e6e6');
  }
}
//关闭窗口
function onCloseFrame(){
  clearStorage();
  api.closeWin();
}
//清楚缓存
function clearStorage(){
  $api.rmStorage('Flight_ContactName');
  $api.rmStorage('Flight_Mobile');
  $api.rmStorage('selectusercert');
  $api.rmStorage('usercert');
  $api.rmStorage('flight');
}
//绑定用户证件
function bindUserCert(){
  var uid=$api.getStorage('userid');
  var param={};
  param.uid=uid;
  var result = getFlightUserCert(param);
  result.then(function (res) {
    // console.log(JSON.stringify(res));
     if(res.status == 200){
       $api.setStorage('usercert',res.info);
       var html = template('usercert_tmpl',{usercert:res.info});
       $('#div_usercert').html(html);
     }else{
       var html = template('usercert_tmpl',{usercert:null});
       $('#div_usercert').html(html);
     }
   });
}
//跳转到乘机人资料
function onFlightContent(controlName){
    api.openWin({
        name: 'flightcontent',
        url: './flightcontent.html',
        animation: {
            type: 'movein',
            subType: 'from_right',
            duration: 300
        },
        pageParam:{
          flightkey:controlName
        }
    });
}
//选择乘机人
function onSelUserCert(ctid){
   var selectusercert=$api.getStorage('selectusercert');
  //  console.log(JSON.stringify(selectusercert));
   var boo=false;
   if(!selectusercert){
     selectusercert=[];
   }
   for (var i = 0; i < selectusercert.length; i++) {
     if(selectusercert[i]==ctid){
       boo=true;
       return;
     }
   }
   if(boo){
     api.toast({	msg:'您已经选择，请勿重复选择',duration:2000,location:'bottom'});
     return;
   }
   if(selectusercert){
     selectusercert.push(ctid);
   }else{
     selectusercert=[];
   }
   $api.setStorage('selectusercert',selectusercert);
   bindSelUserCert();
   initTotal();
}
//绑定选择乘机人
function bindSelUserCert(){
   var selectusercert=$api.getStorage('selectusercert');
   if(!selectusercert){
     selectusercert=[];
     return;
   }
  var usercert=$api.getStorage('usercert');
  var list=[];
  for (var i = 0; i < usercert.length; i++) {
    var cert=usercert[i];
    for (var j = 0; j < selectusercert.length; j++) {
      if(usercert[i].CT_Id==selectusercert[j]){
        list.push(usercert[i]);
      }
    }
  }
  var html = template('selusercert_tmpl',{usercert:list});
  $('#div_selusercert').html(html);
}
//移除乘机人
function onRemoveUserCert(ctid){
  var selectusercert=$api.getStorage('selectusercert');
  if(!selectusercert){
    selectusercert=[];
    return;
  }
  var list=[];
  for (var i = 0; i < selectusercert.length; i++) {
    if(selectusercert[i]!=ctid){
      list.push(selectusercert[i]);
    }
  }
  $api.setStorage('selectusercert',list);
   bindSelUserCert();
   initTotal();
}
//添加乘机人信息
function onAddUserCert(){
  api.openWin({
      name: 'flightusercert',
      url: './flightusercert.html'
  });
}
//修改乘机人信息
function onUpdateUserCert(ctid){
  api.openWin({
      name: 'flightusercert',
      url: './flightusercert.html',
      pageParam:{
        ctid:ctid
      }
  });
}
function onDelUserCert(ctid){
  var param={};
  param.ctid=ctid;
  var result = delFlightUserCert(param);
  result.then(function (res) {
    if(res.status == 200){

    }
  });
}
//选择乘客类型
function onSelUserType(){
  var result = getVisaDict({'d_Name':"乘客类型"});
  result.then(function(res){
     if (res.status==200) {
        openSelector('乘客类型',res.info,function(ret){
          if(ret.length<=0)return;
          $('#txtUserType').val(ret[0].value);
          $('#spUserType').text(ret[0].text);
          $('#spUserType').css('color','#a0a0a0');
       },130);
     }
   });
}
//提交订单
function onConfirm(){
  api.showProgress({
    title : ' ',
    text : '加载中...',
    modal : true
  });
  var selectusercert=$api.getStorage('selectusercert');
  if(!selectusercert||selectusercert.length<=0){
    api.toast({	msg:'请添加证件',duration:2000,location:'bottom'});
    return;
  }
  var contactName= $api.getStorage('Flight_ContactName');
  if(!contactName){
    api.toast({	msg:'请填写联系人',duration:2000,location:'bottom'});
    return;
  }
  var mobile= $api.getStorage('Flight_Mobile');
  if(!mobile){
    api.toast({	msg:'请填写手机号码',duration:2000,location:'bottom'});
    return;
  }
  var userType=$('#txtUserType').val();
  if(!userType||userType==''){
    api.toast({	msg:'请选择乘客类型',duration:2000,location:'bottom'});
    return;
  }

  var usercert=$api.getStorage('usercert');
  var list=[];
  for (var i = 0; i < usercert.length; i++) {
    var cert=usercert[i];
    for (var j = 0; j < selectusercert.length; j++) {
      if(usercert[i].CT_Id==selectusercert[j]){
        usercert[i].CT_Type=userType;
        list.push(usercert[i]);
      }
    }
  }
  var seatItem=api.pageParam.seatItem;
  var flight=api.pageParam.flight;
  // console.log(JSON.stringify(flight));
  var userid=$api.getStorage('userid');
  var param={};
  param.CU_Id=userid;
  param.O_LinkMan=contactName;
  param.O_LinkPhone=mobile;
  param.O_PassengerType=userType;
  param.O_OtherLink=mobile;
  param.O_FlightNo=flight.flightNo;
  param.O_DepCode=flight.depCode;
  param.O_ArrCode=flight.arrCode;
  param.O_DepName=flight.orgCity;
  param.O_ArrName=flight.dstCity;
  param.O_SeatClass=flight.flightNo;
  param.O_DepDate=flight.depTimeInt;
  param.O_DepTime=flight.depTime;
  param.O_ArrTime=flight.arrTime;
  param.O_ParPrice=flight.parPrice;
  param.O_SettlePrice=flight.settlePrice;
  param.O_FuelTax=flight.fuelTax;
  param.O_AirportTax=flight.airportTax;
  param.O_PlaneType= flight.planeType;

  param.passenger=list;
  param.seatItem=seatItem;
  param.flight=flight;
  var strdata = JSON.stringify(param);
  var result=crtFlightOrder({data:strdata});
  result.then(function(res){
    console.log(JSON.stringify(res));
    api.hideProgress();
     if(res.status==200){
       if(res.info.rsData.orderNo){
         api.openWin({
             name: 'flightorder',
             url: '../order/flightorder.html',
             pageParam:{
               flight:api.pageParam.flight,
               orderNo:res.info.rsData.orderNo
             }
         });
       }else{
         api.toast({msg:'抱歉，出票失败，请选择其他政策。',duration:2000,location:'bottom'});
       }
       clearStorage();
       setTimeout(function() {
         api.closeWin();
       }, 2000);
     }else if(res.status==301){
       api.toast({msg:res.msg,duration:2000,location:'bottom'});
     }else{
       api.toast({	msg:'抱歉，出票失败，请选择其他政策。',duration:2000,location:'bottom'});

     }
    });
}
