apiready = function(){
  api.parseTapmode();
  initRefresh();
  bindOrder('UnPay');
}
function initRefresh(){
    api.setRefreshHeaderInfo({
     visible: true,
     loadingImg: '../image/timg.gif',
     bgColor: '#ccc',
     textColor: '#fff',
     textDown: '下拉刷新...',
     textUp: '松开刷新...',
     showTime: true
   }, function(ret, err) {
      bindOrder('UnPay');
     api.clearCache();
     setTimeout(function(){
       //关闭下拉刷新
       api.refreshHeaderLoadDone();
      },1000);
   });
}
function bindOrder(status){
  api.showProgress({
    title : ' ',
    text : '加载中...',
    modal : true
  });
  var uid = $api.getStorage('userid');
  var param={};
  param.status=status;
  param.uid=uid;
  var result = getOrder(param);
  result.then(function (res) {
    api.hideProgress();
    // console.log(JSON.stringify(res));
    if(res.status==200){
      var html = template('order_tmpl',{order:res.info});
      $('#div_order').html(html);
    }else{
      var html = template('order_tmpl',{order:null});
      $('#div_order').html(html);
    }
  });
}

//机票订单支付
function onFlightOrder(bookNo){
  api.openWin({
      name: 'flightorder',
      url: './flightorder.html',
      pageParam:{
        flight:null,
        orderNo:bookNo
      }
  });
}
function setAlipay(data){
  var result=tourAliPay({
      'pre_price':data.totalPrice,
      'body':data.productName,
      'subject':data.productName,
      'tradeno':data.orderNo
  });
  result.then(function(res){
      if (res.status==200) {
          var aliPayPlus = api.require('aliPayPlus');
          aliPayPlus.payOrder({
              orderInfo: res.msg
          }, function(ret, err) {
            api.hideProgress();
              if(ret.code==9000){
                if(data.orderType=='Tour'){
                  var result=tourPayOrder({
                    orderNo:data.orderNo
                  });
                }
                if(data.orderType=='Visa'){
                  var result=visaPayOrder({
                    orderNo:data.orderNo,
                    total_price:data.totalPrice
                  });
                }
                result.then(function(subres){
                  console.log(JSON.stringify(subres));
                  api.hideProgress();
                  api.openWin({
                      name: 'order',
                      url: '../order/order.html',
                      pageParam:{
                        index:3
                      }
                  });
                });
              }else{
                api.hideProgress();
                api.openWin({
                    name: 'order',
                    url: '../order/order.html',
                    pageParam:{
                      index:2
                    }
                });
              }
          });
      }
  });
}
//旅游订单支付
function onTourPay(oid){
  var param={};
  param.oid=oid;
  var result = getSingleTourOrder(param);
  result.then(function (res) {
    api.hideProgress();
    if(res.status==200){
      var data={};
      data.totalPrice=res.info.O_TotalPrice;
      data.productName=res.info.O_ProductName;
      data.orderNo=res.info.O_Code;
      data.orderType='Tour';
      setAlipay(data);
    }else{
      api.toast({
          msg : '抱歉，订单异常。',
          duration : 3000,
          location : 'bottom'
      });
    }
  });
}
//签证订单支付
function onVisaPay(oid){
  var param={};
  param.oid=oid;
  var result = getSingleVisaOrder(param);
  result.then(function (res) {
    api.hideProgress();
    if(res.status==200){
      var data={};
      data.totalPrice=res.info.O_TotalPrice;
      data.productName=res.info.O_CountryName+res.info.O_VisaType;
      data.orderNo=res.info.O_Code;
      data.orderType='Visa';
      setAlipay(data);
    }else{
      api.toast({
          msg : '抱歉，订单异常。',
          duration : 3000,
          location : 'bottom'
      });
    }
  });
}
