apiready = function(){
  api.parseTapmode();
  initRefresh();
  bindAdvert();
  // 国内热门
  bindHotTour();
  // 出境游
  bindForeignTour();
  // 别国风情
  bindCocTour();
  // 名胜古迹
  bindMsgjTour();
  // 浪漫海岛
  bindLmhdTour();
  // 特价区
  bindSpecProduct();
}
function initRefresh(){
    api.setRefreshHeaderInfo({
     visible: true,
     loadingImg: '../image/timg.gif',
     bgColor: '#ccc',
     textColor: '#fff',
     textDown: '下拉刷新...',
     textUp: '松开刷新...',
     showTime: true
   }, function(ret, err) {
     bindAdvert();
     // 国内热门
     bindHotTour();
     // 出境游
     bindForeignTour();
     // 别国风情
     bindCocTour();
     // 名胜古迹
     bindMsgjTour();
     // 浪漫海岛
     bindLmhdTour();
     // 特价区
     bindSpecProduct();
     api.clearCache();

     setTimeout(function(){
       //关闭下拉刷新
       api.refreshHeaderLoadDone();
      },1000);
   });
}
//首页轮播特效
function initSlide(){
  var slide3 = new auiSlide({
      container:document.getElementById("aui-slide3"),
      // "width":300,
      "height":220,
      "speed":500,
      "autoPlay": 3000, //自动播放
      "loop":true,
      "pageShow":true,
      "pageStyle":'dot',
      'dotPosition':'center'
  })
}
//首页轮播绑定
function bindAdvert(){
  var result = getTourAdvert();
  result.then(function (res) {
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.AD_Image = imageUrl + item.AD_Image;
       });
       var html = template('advert_tmpl',{advert:res.info});
       $('#div_advert').html(html);
       initSlide();
     }
   });
}
//国内热门
function bindHotTour(){
  var param={};
  param.cate=1;//1：国内热门，2：出境游，3：别国游，4：名胜古迹，5：浪漫海岛
  param.size=3;
  var result = getHomeTourArea(param);
  result.then(function (res) {
    // console.log(JSON.stringify(res));
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.TA_Image = imageUrl + item.TA_Image;
       });
       var html = template('hottour_tmpl',{hottour:res.info});
       $('#div_hottour').html(html);
     }
   });
}
//出境游
function bindForeignTour(){
  var param={};
  param.cate=2;//1：国内热门，2：出境游，3：别国游，4：名胜古迹，5：浪漫海岛
  param.size=3;
  var result = getHomeTourArea(param);
  result.then(function (res) {
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.TA_Image = imageUrl + item.TA_Image;
       });
       var html = template('foreigntour_tmpl',{foreigntour:res.info});
       $('#div_foreigntour').html(html);
     }
   });
}
//别国风情
function bindCocTour(){
  var param={};
  param.cate=3;//1：国内热门，2：出境游，3：别国游，4：名胜古迹，5：浪漫海岛
  param.size=4;
  var result = getHomeTourArea(param);
  result.then(function (res) {
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.TA_Image = imageUrl + item.TA_Image;
       });
       var html = template('coctour_tmpl',{coctour:res.info});
       $('#div_coctour').html(html);
     }
   });
}
//名胜古迹
function bindMsgjTour(){
  var param={};
  param.cate=4;//1：国内热门，2：出境游，3：别国游，4：名胜古迹，5：浪漫海岛
  param.size=6;
  var result = getHomeTourArea(param);
  result.then(function (res) {
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.TA_Image = imageUrl + item.TA_Image;
       });
       var html = template('msgjtour_tmpl',{msgjtour:res.info});
       $('#div_msgjtour').html(html);
     }
   });
}
//浪漫海岛
function bindLmhdTour(){
  var param={};
  param.cate=5;//1：国内热门，2：出境游，3：别国游，4：名胜古迹，5：浪漫海岛
  param.size=6;
  var result = getHomeTourArea(param);
  result.then(function (res) {
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.TA_Image = imageUrl + item.TA_Image;
       });
       var html = template('lmhdtour_tmpl',{lmhdtour:res.info});
       $('#div_lmhdtour').html(html);
     }
   });
}
//特价区
function bindSpecProduct(){
  api.showProgress();
  var result = getSpecialProduct();
  result.then(function (res) {
    console.log(JSON.stringify(res));
    api.hideProgress();
     if(res.status == 200){
       var list=[];
       $.each(res.info,function(index,item) {
           var image=item.image;
           if(image.length>0){
             item.P_Image = image[0].PI_ImgUrl;
             list.push(item);
           }
       });

       var html = template('specproduct_tmpl',{product:list});
       $('#div_specproduct').html(html);
     }
  });
}
//跳转到旅游详情
function openTourDetail(pid){
  api.openWin({
      name: 'tourdetail',
      url: './tourdetail.html',
      pageParam:{
        pid:pid
      }
  });
}
//跳转到旅游详情
function openTourQuery(area){
  api.openWin({
      name: 'tourquery',
      url: './tourquery.html',
      pageParam:{
        area:area
      }
  });
}
function onMore(index){
  api.openWin({
      name: 'tourarea',
      url: './tourarea.html',
      pageParam:{
        index:index
      }
  });
}
//搜索框
function doSearch(){
  api.openWin({
      name: 'tourarea',
      url: './tourarea.html'
  });
}
