apiready = function(){
    api.parseTapmode();
    clearStorage();
    bindProduct();
    initListener();
    initControl();
}
function initListener(){
  api.addEventListener({
      name:'TourStorage'
  },function(){
    initControl();
  });
}
function viewdisappear(){
  api.addEventListener({
      name:'viewdisappear'
  },function(){
      api.closeWin();
  });
}
function initControl(){
  var contactName= $api.getStorage('Tour_ContactName');
  if(contactName){
    $('#spContactName').text(contactName);
    $('#spContactName').css('color','#a0a0a0');
  }else{
    $('#spContactName').text("用于客服联系您");
    $('#spContactName').css('color','#e6e6e6');
  }
  var phone= $api.getStorage('Tour_Phone');
  if(phone){
    $('#spPhone').text(phone);
    $('#spPhone').css('color','#a0a0a0');
  }else{
    $('#spPhone').text("用于接受短信");
    $('#spPhone').css('color','#e6e6e6');
  }
  var email= $api.getStorage('Tour_Email');
  if(email){
    $('#spEmail').text(email);
    $('#spEmail').css('color','#a0a0a0');
  }else{
    $('#spEmail').text("接受办签证资料或电子签");
    $('#spEmail').css('color','#e6e6e6');
  }
  var otherRemark= $api.getStorage('Tour_OtherRemark');
  if(otherRemark){
    $('#spOtherRemark').text(otherRemark);
    $('#spOtherRemark').css('color','#a0a0a0');
  }else{
    $('#spOtherRemark').text("如果有特殊要求，请在这里留言");
    $('#spOtherRemark').css('color','#e6e6e6');
  }
}
function bindProduct(){
    var productInfo= api.pageParam.productInfo;
    var productSchedule= api.pageParam.productSchedule;
    var totalPrice=api.pageParam.totalPrice;
    var personCount=api.pageParam.personCount;
    var childCount=api.pageParam.childCount;
    productInfo.productSchedule=productSchedule;
    $api.setStorage('totalPrice',totalPrice);
    // console.log(JSON.stringify(productInfo));
    var image=productInfo.Images.Image;
    if(image&&image.length>0){
      productInfo.Image = image[0];
    }
    var html = template('product_tmpl',{product:productInfo});
    $('#div_product').html(html);

    var price={};
    price.PersonCount=personCount;
    price.ChildCount=childCount;
    price.PersonPrice=Number(productSchedule.PersonPeerPrice).toFixed(2);
    price.ChildPrice=Number(productSchedule.ChildPeerPrice).toFixed(2);
    price.totalPrice=totalPrice;
    var html = template('price_tmpl',{price:price});
    $('#div_price').html(html);
    bindPrice();
}
function bindPrice(){
  var totalPrice= $api.getStorage('totalPrice');
  if(totalPrice){
    totalPrice=Number(totalPrice).toFixed(2);
  }
  var insurePrice=$api.getStorage('InsurePrice');
  if(insurePrice&&insurePrice!=undefined){
    insurePrice=Number(insurePrice).toFixed(2);
    $('#spInsure').text('￥'+insurePrice);
  }else{
    insurePrice=0.00;
  }
  totalPrice=Number(Number(totalPrice)+Number(insurePrice)).toFixed(2);
  $('#spTotalPrice').text(totalPrice);
  $api.setStorage('totalPrice',totalPrice);
} 
//保险类型
function onSelInsure() {
    var productInfo= api.pageParam.productInfo;
    // console.log(JSON.stringify(productInfo));
    var insures=productInfo.insure;
    var list=[];
    for (var i = 0; i < insures.length; i++) {
      var info=insures[i];
      list.push({
        label:'['+info.IS_Cate+']'+info.IS_Name,
        text:'['+info.IS_Cate+']'+info.IS_Name+'  ￥'+Number(info.IS_Price).toFixed(2),
        value:Number(info.IS_Price).toFixed(2)});
    }
    openSelector('选择保险',list,function(ret){
      if(ret.length<=0){
        $('#spIns').text('请选择保险项目');
        $('#spIns').css('color','#e6e6e6');
        return;
      }
      $api.setStorage('InsurePrice',ret[0].value);
      $api.setStorage('InsureName',ret[0].label);
      var label=ret[0].label;
      if(label!=''){
        $('#spIns').text(label);
        $('#spIns').css('color','#a0a0a0');
      }
      bindPrice();
    },180);
}
//跳转到旅游详情
function openTourDetail(pid){
  api.openWin({
      name: 'tourdetail',
      url: './tourdetail.html',
      pageParam:{
        pid:pid
      }
  });
}
function onTourContent(controlName){
    api.openWin({
        name: 'tourcontent',
        url: './tourcontent.html',
        animation: {
            type: 'movein',
            subType: 'from_right',
            duration: 300
        },
        pageParam:{
          tourkey:controlName
        }
    });
}
//关闭窗口
function onCloseFrame(){
  clearStorage();
  api.closeWin();
}
function clearStorage(){
  $api.rmStorage('Tour_ContactName');
  $api.rmStorage('Tour_Phone');
  $api.rmStorage('Tour_Email');
  $api.rmStorage('Tour_OtherRemark');
  $api.rmStorage('InsurePrice');
  $api.rmStorage('InsureName');
  $api.rmStorage('totalPrice');
}
function setAlipay(data){
  var result=tourAliPay({
      'pre_price':data.totalPrice,
      'body':data.productName,
      'subject':data.productName,
      'tradeno':data.orderNo
  });
  result.then(function(res){
      if (res.status==200) {
          var aliPayPlus = api.require('aliPayPlus');
          aliPayPlus.payOrder({
              orderInfo: res.msg
          }, function(ret, err) {
            api.hideProgress();
              viewdisappear();
              clearStorage();
              if(ret.code==9000){
                var result=tourPayOrder({
                  orderNo:data.orderNo
                });
                result.then(function(subres){
                  api.hideProgress();
                  api.openWin({
                      name: 'order',
                      url: '../order/order.html',
                      pageParam:{
                        index:3
                      }
                  });
                });
              }else{
                api.hideProgress();
                api.openWin({
                    name: 'order',
                    url: '../order/order.html',
                    pageParam:{
                      index:2
                    }
                });
              }
          });
      }
  });
}
function onConfirm(){
  var contactName= $api.getStorage('Tour_ContactName');
  var phone= $api.getStorage('Tour_Phone');
  var email= $api.getStorage('Tour_Email');
  var otherRemark= $api.getStorage('Tour_OtherRemark');
  if(!contactName){
    api.toast({	msg:'请填写联系人',duration:2000,location:'bottom'});
    return;
  }
  if(!phone){
    api.toast({	msg:'请填写手机号码',duration:2000,location:'bottom'});
    return;
  }
  var insurePrice=$api.getStorage('InsurePrice');
  var InsureName= $api.getStorage('InsureName');
  var totalPrice= $api.getStorage('totalPrice');
  var productInfo= api.pageParam.productInfo;
  var personCount=api.pageParam.personCount;
  var childCount=api.pageParam.childCount;
  var productSchedule= api.pageParam.productSchedule;
  var param={};
  var userid=$api.getStorage('userid');
  var image=productInfo.Images.Image;
  if(image&&image.length>0){
    param.O_ProductImage = image[0];
  }
  param.CU_Id=userid;
  param.O_ProductId=productInfo.ProductID;
  param.O_ProductName=productInfo.ProductName;
  param.O_ProductType=productInfo.ProductType;
  param.O_ProductCode=productInfo.ProductCode;
  param.O_StartCity=productInfo.StartCity;
  param.O_ScheduleDate=productSchedule.ScheduleDate;
  param.O_PersonPrice=productSchedule.OldPersonPeerPrice;
  param.O_PersonPeerPrice=productSchedule.PersonPeerPrice;
  param.O_ChildPrice=productSchedule.OldChildPeerPrice;
  param.O_ChildPeerPrice=productSchedule.ChildPeerPrice;
  // 代理商与平台分润
  param.O_AgPersonProfit=Number(Number(productSchedule.AgentPersonPrice)*Number(personCount)).toFixed(2);
  param.O_AgChildProfit=Number(Number(productSchedule.AgentChildPrice)*Number(childCount)).toFixed(2);
  param.O_LyPersonProfit=Number(Number(productSchedule.AgentPersonPrice)*Number(personCount)).toFixed(2);
  param.O_LyChildProfit=Number(Number(productSchedule.AgentChildPrice)*Number(childCount)).toFixed(2);

  param.O_ChildCount=childCount;
  param.O_PersonCount=personCount;
  param.O_TotalPrice=totalPrice;
  param.O_InsurePrice=insurePrice;
  param.O_InsureName=InsureName;
  param.O_ContactName=contactName;
  param.O_ContactPhone=phone;
  param.O_ContactEmail=email;
  param.O_OtherRemark=otherRemark;
  api.showProgress({
    title : ' ',
    text : '加载中...',
    modal : true
  });
  var strdata = JSON.stringify(param);
  var result=crtTourOrder({data:strdata});
  result.then(function(res){
      // console.log(JSON.stringify(res));
      if(res.status==200){
        var data={};
        data.totalPrice=totalPrice;
        data.productName=productInfo.ProductName;
        data.orderNo=res.info;
        setAlipay(data);
      }
  });

}
