apiready = function(){
    api.parseTapmode();
    setTimeout(function() {
        api.showProgress({
          title : ' ',
          text : '加载中...',
          modal : true
        });
     }, 50);
     initListener();
     initPageAjax();
     initControl();
}
function initListener(){
  api.addEventListener({
      name:'QueryTourListStorage'
  },function(){
      initControl();
  });
}
function initControl(){
  $api.rmStorage('pageIndex');
  $api.rmStorage('info');
  $api.rmStorage('list');
  $api.rmStorage('isBottom');
  var tourcity=$api.getStorage('tourcity');
  if(!tourcity){
    tourcity=$api.getStorage('gpscity');
  }
  $('#txtSearch').val(tourcity.city);
  bindProduct();
}
function bindProduct(){
  api.showProgress();
  var area= api.pageParam.area;
  $('#txtSearch').val(area);
  var info={};
  info.area=area;
  info.pageIndex=1;
  $api.setStorage('pageIndex',1);
  $api.setStorage('info',info);
  $api.setStorage('isBottom',0);
  var result = queryProduct(info);
  result.then(function (res) {
     api.hideProgress();
     if(res.status == 200){
       var list=[];
       $.each(res.info,function(index,item) {
           var image=item.image;
           if(image&&image.length>0){
             item.P_Image = image[0].PI_ImgUrl;
              list.push(item);
           }
       });
       $api.setStorage('list',list);
       var html = template('product_tmpl',{product:list});
       $('#div_product').html(html);
     }else{
       var html = template('product_tmpl',{product:null});
       $('#div_product').html(html);
     }
  });
}
function initPageAjax(){
  api.addEventListener({
    name:'scrolltobottom',
    extra:{
        threshold:0            //设置距离底部多少距离时触发，默认值为0，数字类型
    }}, function(ret, err){
      var isBottom=$api.getStorage('isBottom');
      if(isBottom==0){
        var pageIndex=$api.getStorage('pageIndex');
        bindPullPage(Number(pageIndex)+1);
      }
  });
}
function bindPullPage(pageIndex){
  var info=$api.getStorage('info');
  $api.setStorage('pageIndex',pageIndex);
  info.pageIndex=pageIndex;
  api.showProgress({
    title : ' ',
    text : '加载中...',
    modal : true
  });
  var result = searchProduct(info);
  result.then(function (res) {
     var list=$api.getStorage('list');
     if(res.status == 200){
       if(!list)list=[];
       $.each(res.info,function(index,item) {
           var image=item.image;
           if(image&&image.length>0){
             item.P_Image = image[0].PI_ImgUrl;
              list.push(item);
           }
       });
       $api.setStorage('list',list);
     }else{
         api.toast({	msg:'已拉到最底部了~',duration:2000,location:'bottom'});
     }
     var html = template('product_tmpl',{product:list});
     $('#div_product').html(html);
      api.hideProgress();
  });
}
//跳转到旅游详情
function openTourDetail(pid){
  api.openWin({
      name: 'tourdetail',
      url: './tourdetail.html',
      pageParam:{
        pid:pid
      }
  });
}
function onReaderImage(imageUrl){
  var imageBrowser = api.require('imageBrowser');
  imageBrowser.openImages({
      imageUrls: [
          imageUrl
      ]
  });
}
function doSearch(){
  api.openWin({
      name: 'citylist',
      url: '../public/citylist.html',
      animation: {
          type: 'movein',
          subType: 'from_right',
          duration: 300
      },
      pageParam:{
        keyname:'tourcity'
      }
  });
}
