apiready = function(){
    api.parseTapmode();
    setTimeout(function() {
        api.showProgress({
          title : ' ',
          text : '加载中...',
          modal : true
        });
     }, 50);
     $api.rmStorage('tourquerycity');
    initListener();
    initPageAjax();
    initControl();
}
function initListener(){
  api.addEventListener({
      name:'TourListStorage'
  },function(){
      initControl();
  });
}
function initControl(){
  $api.rmStorage('pageIndex');
  $api.rmStorage('info');
  $api.rmStorage('list');
  $api.rmStorage('isBottom');
  var startcity=$api.getStorage('tourcity');
  if(startcity){
    $('#txtStartCity').val(startcity.city);
  }else{
    $('#txtStartCity').val('');
  }

  var endcity=$api.getStorage('tourquerycity');
  if(endcity){
    $('#txtEndCity').val(endcity);
  }else{
    $('#txtEndCity').val('');
  }
  bindProduct();
}

function bindProduct(){
  api.showProgress({
    title : ' ',
    text : '加载中...',
    modal : true
  });
  var info={};
  info.protype='zyx';
  info.pageIndex=1;
  var startcity=$api.getStorage('tourcity');
  if(startcity){
    info.startcity=startcity.city;
  }
  var endcity=$api.getStorage('tourquerycity');
  if(endcity){
    info.endcity=endcity;
  }
  $api.setStorage('pageIndex',1);
  $api.setStorage('info',info);
  $api.setStorage('isBottom',0);
  var result = searchProduct(info);
  result.then(function (res) {
     api.hideProgress();
     if(res.status == 200){
       var list=[];
       $.each(res.info,function(index,item) {
           var image=item.image;
           if(image&&image.length>0){
             item.P_Image = image[0].PI_ImgUrl;
              list.push(item);
           }
       });
       $api.setStorage('list',list);
       var html = template('product_tmpl',{product:list});
       $('#div_product').html(html);
     }else{
       var html = template('product_tmpl',{product:null});
       $('#div_product').html(html);
     }
  });
}
function initPageAjax(){
  api.addEventListener({
    name:'scrolltobottom',
    extra:{
        threshold:0            //设置距离底部多少距离时触发，默认值为0，数字类型
    }}, function(ret, err){
      var isBottom=$api.getStorage('isBottom');
      if(isBottom==0){
        var pageIndex=$api.getStorage('pageIndex');
        bindPullPage(Number(pageIndex)+1);
      }
  });
}
function bindPullPage(pageIndex){
  var info=$api.getStorage('info');
  $api.setStorage('pageIndex',pageIndex);
  info.pageIndex=pageIndex;
  api.showProgress({
    title : ' ',
    text : '加载中...',
    modal : true
  });
  var result = searchProduct(info);
  result.then(function (res) {
     var list=$api.getStorage('list');
     if(res.status == 200){
       if(!list)list=[];
       $.each(res.info,function(index,item) {
           var image=item.image;
           if(image&&image.length>0){
             item.P_Image = image[0].PI_ImgUrl;
              list.push(item);
           }
       });
       $api.setStorage('list',list);
     }else{
         $api.setStorage('isBottom',1);
         api.toast({	msg:'已拉到最底部了~',duration:2000,location:'bottom'});
     }
     var html = template('product_tmpl',{product:list});
     $('#div_product').html(html);
      api.hideProgress();
  });
}
//选择日期
function onCheckDate(){
  api.openWin({
      name: 'datelist',
      url: '../public/datelist.html',
      animation: {
          type: 'movein',
          subType: 'from_right',
          duration: 300
      }
  });
}
function onStartCity(){
  api.openWin({
      name: 'citylist',
      url: '../tour/citylist.html',
      animation: {
          type: 'movein',
          subType: 'from_right',
          duration: 300
      },
      pageParam:{
        keyname:'tourcity'
      }
  });
}
function onEndCity(){
  api.openWin({
      name: 'tourquerycity',
      url: '../tour/tourquerycity.html',
      animation: {
          type: 'movein',
          subType: 'from_right',
          duration: 300
      }
  });
}
function onClearCity(){
  $api.rmStorage('tourcity');
  $api.rmStorage('tourquerycity');
  api.sendEvent({
      name: 'TourListStorage'
  });
}
//跳转到旅游详情
function openTourDetail(pid){
  api.openWin({
      name: 'tourdetail',
      url: './tourdetail.html',
      pageParam:{
        pid:pid
      }
  });
}
