/*head tab*/
apiready = function(){
    setTimeout(function() {api.showProgress();}, 50);
    api.parseTapmode();
    init();
}
function init(){
  loadUserInfo();
  initListener();
}
function initListener(){
  api.addEventListener({
      name: 'reloadUserInfo'
  }, function(ret, err) {
      loadUserInfo();
  });
}
function loadUserInfo(){
  var uid = $api.getStorage('userid');
  var result = get_userinfo({uid:uid});
  api.showProgress();
  result.then(function(res){
    api.hideProgress();
    if(res.status ==200){
      var nickname = res.info.CU_NickName;
      var wechat = res.info.CU_Wechat;
      var phone = res.info.CU_Mobile;
      var remark = res.info.CU_Remark;
      var realName = res.info.CU_RealName;
      if(nickname!= null && nickname.length >0)
        $('#spNickName').text(nickname);
      else
        $('#spNickName').text("暂无");
      if(realName!= null && realName.length >0)
        $('#spRealName').text(realName);
      else
        $('#spRealName').text("暂无");
      if(wechat!=null && wechat.length>0)
        $('#spWechat').text(wechat);
      else
        $('#spWechat').text("暂无");
      if(remark!=null && remark.length>0)
        $('#spRemark').text(remark);
      else
        $('#spRemark').text("暂无");
      if(phone != null && phone.length>0){
        $('#spMobile').text(phone);
      }
      if(res.info.CU_Photo&&res.info.CU_Photo!=''){
        res.info.CU_Photo = imageUrl + res.info.CU_Photo;//图片
      }else{
        res.info.CU_Photo ="../../image/user/userinfo/logo-s@2x.png";
      }
      var img =res.info.CU_Photo;
      if(img != null && img.length>0){
        $('#logoBox img').attr('src',img);
      }
    }
  });
}
//点击昵称跳转到修改昵称界面
function onUserContent(fieldKey){
    var control='#sp'+fieldKey;
    var fieldValue=$(control).text();
    api.openWin({
        name: 'usercontent',
        url: './usercontent.html',
        pageParam:{
          fieldKey:fieldKey,
          fieldValue:fieldValue
        }
    });
}
//更换头像
function onChangePhoto(){
  uploadHeadPic('hdPhoto','imgPhoto',dirName='User',function(){
        var data = {};
        data.CU_Photo=$('#hdPhoto').val().trim();
        data.CU_Id = $api.getStorage('userid');
        var strdata = JSON.stringify(data);
        var result = update_userinfo({data:strdata});
        result.then(function(res) {
          if(res.status==200){
            api.toast({
                msg : '修改成功！',
                duration : 3000,
                location : 'bottom'
            });
            api.sendEvent({
                name: 'reloadUserInfo'
            });
            api.sendEvent({
                name: 'reloadMy'
            });
          }else{
            api.toast({
                msg : '修改失败！',
                duration : 3000,
                location : 'bottom'
            });
          }
        });
  });
}
function onExit(){
  setTimeout(function() {
    api.closeWin();
  }, 100);
  $api.clearStorage();
  api.openWin({
      name: 'loginpwd',
      url: './loginpwd.html'
  });

}
