apiready = function(){
    api.parseTapmode();
    clearStorage();
    var country_name=api.pageParam.country_name;
    var visa_type=api.pageParam.visa_type;
    $('#spVisa').text(country_name+visa_type);
    initListener();
    initPrice();
    initControl();
}
function initListener(){
  api.addEventListener({
      name:'VisaStorage'
  },function(){
    initControl();
  });
}
function viewdisappear(){
  api.addEventListener({
      name:'viewdisappear'
  },function(){
      api.closeWin();
  });
}
function initControl(){
  var visaName= $api.getStorage('Visa_VisaName');
  if(visaName){
    $('#spVisaName').text(visaName);
    $('#spVisaName').css('color','#a0a0a0');
  }else{
    $('#spVisaName').text("用于客服联系您");
    $('#spVisaName').css('color','#e6e6e6');
  }
  var contactName= $api.getStorage('Visa_ContactName');
  if(contactName){
    $('#spContactName').text(contactName);
    $('#spContactName').css('color','#a0a0a0');
  }else{
    $('#spContactName').text("用于客服联系您");
    $('#spContactName').css('color','#e6e6e6');
  }
  var phone= $api.getStorage('Visa_Phone');
  if(phone){
    $('#spPhone').text(phone);
    $('#spPhone').css('color','#a0a0a0');
  }else{
    $('#spPhone').text("用于接受短信");
    $('#spPhone').css('color','#e6e6e6');
  }
  var email= $api.getStorage('Visa_Email');
  if(email){
    $('#spEmail').text(email);
    $('#spEmail').css('color','#a0a0a0');
  }else{
    $('#spEmail').text("接受办签证资料或电子签");
    $('#spEmail').css('color','#e6e6e6');
  }
  var address= $api.getStorage('Visa_Address');
  if(address){
    $('#spAddress').text(address);
    $('#spAddress').css('color','#a0a0a0');
  }else{
    $('#spAddress').text('接受签证与返还资料');
    $('#spAddress').css('color','#e6e6e6');
  }
  var otherRemark= $api.getStorage('Visa_OtherRemark');
  if(otherRemark){
    $('#spOtherRemark').text(otherRemark);
    $('#spOtherRemark').css('color','#a0a0a0');
  }else{
    $('#spOtherRemark').text("如果有特殊要求，请在这里留言");
    $('#spOtherRemark').css('color','#e6e6e6');
  }
}
function initPrice(){
    var visaprice= api.pageParam.visaprice;
    var count=Number($('#txtCount').val());
    var totalPrice=(visaprice*count);

    var insurePrice=$api.getStorage('InsurePrice');
    if(insurePrice&&insurePrice!=undefined){
      insurePrice=Number(insurePrice).toFixed(2);
      insurePrice=(insurePrice*count);
      $('#spInsure').text('￥'+insurePrice);
    }else{
      insurePrice=0.00;
    }
    totalPrice=Number(Number(totalPrice)+Number(insurePrice)).toFixed(2);
    $('#spTotalPrice').text(totalPrice);
    $api.setStorage('totalPrice',totalPrice);
}
//旅游签证
function onSelqjfs() {
  var result = getVisaDict({'d_Name':"签证类型"});
  result.then(function(res){
     if (res.status==200) {
        openSelector('签证类型',res.info,function(ret){
          console.log(JSON.stringify(ret));
          if(ret.length<=0)return;
          $('#txtLvqz').val(ret[0].value);
          $('#spLvqz').text(ret[0].text);
          var visa= api.pageParam.visa;
         initVisa(visa.countryid,visa.continentid);
        },200);
     }
   });
}
//保险类型
function onSelInsure() {
  var result = getVisaInsure();
  result.then(function(res){
     console.log(JSON.stringify(res));
     if (res.status==200) {
        var list=[];
        for (var i = 0; i < res.info.length; i++) {
          var info=res.info[i];
          list.push({
            label:'['+info.IS_Cate+']'+info.IS_Name,
            text:'['+info.IS_Cate+']'+info.IS_Name+'  ￥'+Number(info.IS_Price).toFixed(2),
            value:Number(info.IS_Price).toFixed(2)});
        }
        openSelector('选择保险',list,function(ret){
          if(ret.length<=0){
            $('#spIns').text('请选择保险项目');
            $('#spIns').css('color','#e6e6e6');
            return;
          }
          $api.setStorage('InsurePrice',ret[0].value);
          $api.setStorage('InsureName',ret[0].label);
          var label=ret[0].label;
          if(label!=''){
            $('#spIns').text(label);
            $('#spIns').css('color','#a0a0a0');
          }
          initPrice();
        },260);
    }
  });
}
//数量减
function onMinus() {
    var count = $('#txtCount').val() - 0;
    if (count <= 1) {
        return;
    } else {
        $('#txtCount').val(count - 1);
    }
    initPrice();
}
//数量加
function onAdd() {
    var count = $('#txtCount').val() - 0;
    $('#txtCount').val(count + 1);
    initPrice();
}
function onVisaContent(controlName){
    api.openWin({
        name: 'visacontent',
        url: './visacontent.html',
        animation: {
            type: 'movein',
            subType: 'from_right',
            duration: 300
        },
        pageParam:{
          visakey:controlName
        }
    });
}
//关闭窗口
function onCloseFrame(){
  clearStorage();
  api.closeWin();
}
function clearStorage(){
  $api.rmStorage('Visa_VisaName');
  $api.rmStorage('Visa_ContactName');
  $api.rmStorage('Visa_Phone');
  $api.rmStorage('Visa_Email');
  $api.rmStorage('Visa_Address');
  $api.rmStorage('Visa_OtherRemark');
  $api.rmStorage('InsurePrice');
  $api.rmStorage('InsureName');
  $api.rmStorage('totalPrice');
}
function setAlipay(data){
  var result=visaAliPay({
      'pre_price':data.totalPrice,
      'body':data.productName,
      'subject':data.productName,
      'tradeno':data.orderNo
  });
  result.then(function(res){
      if (res.status==200) {
          var aliPayPlus = api.require('aliPayPlus');
          aliPayPlus.payOrder({
              orderInfo: res.msg
          }, function(ret, err) {
            api.hideProgress();
              viewdisappear();
              clearStorage();
              if(ret.code==9000){
                var result=visaPayOrder({
                  orderNo:data.orderNo,
                  total_price:data.totalPrice
                });
                result.then(function(subres){
                  console.log(JSON.stringify(subres));
                  api.hideProgress();
                  api.sendEvent({name: 'myInit'});
                  api.openWin({
                      name: 'order',
                      url: '../order/order.html',
                      pageParam:{
                        index:3
                      }
                  });
                });
              }else{
                api.hideProgress();
                api.openWin({
                    name: 'order',
                    url: '../order/order.html',
                    pageParam:{
                      index:2
                    }
                });
              }
          });
      }
  });
}
//提交订单
function onConfirm(){
  api.showProgress({
    title : ' ',
    text : '加载中...',
    modal : true
  });
  var visaprice= api.pageParam.visaprice;
  var count=Number($('#txtCount').val());
  var visaTotalPrice=(visaprice*count);

  var insurePrice=$api.getStorage('InsurePrice');
  var totalPrice=Number(insurePrice)+Number(visaprice);
  var totalPrice=(totalPrice*count);
  var param={};
  var visaName= $api.getStorage('Visa_VisaName');
  if(!visaName){
    api.toast({	msg:'请填写签证人',duration:2000,location:'bottom'});
    return;
  }
  var contactName= $api.getStorage('Visa_ContactName');
  if(!contactName){
    api.toast({	msg:'请填写联系人',duration:2000,location:'bottom'});
    return;
  }
  var phone= $api.getStorage('Visa_Phone');
  if(!phone){
    api.toast({	msg:'请填写联系人手机号',duration:2000,location:'bottom'});
    return;
  }
  var email= $api.getStorage('Visa_Email');
  if(!email){
    api.toast({	msg:'请填写邮箱',duration:2000,location:'bottom'});
    return;
  }
  var address= $api.getStorage('Visa_Address');
  if(!address){
    api.toast({	msg:'请填写联系地址',duration:2000,location:'bottom'});
    return;
  }
  var otherRemark= $api.getStorage('Visa_OtherRemark');
  if(otherRemark){
    param.other_remark=otherRemark;
  }
  var userid=$api.getStorage('userid');
  param.CU_Id=userid;
  param.visa_id=api.pageParam.visaid;
  param.country_name=api.pageParam.country_name;
  param.visa_type=api.pageParam.visa_type;
  param.visa_count=count;
  param.visa_name=visaName;
  param.visa_price=visaTotalPrice;
  param.total_price=totalPrice;

  param.contact_name=contactName;
  param.phone=phone;
  param.address=address;
  param.email=email;

  param.insure_price=$api.getStorage('InsurePrice');
  param.insure_name=$api.getStorage('InsureName');
  var strdata = JSON.stringify(param);
  var result=crtVisaOrder({data:strdata});
  result.then(function(res){
      console.log(JSON.stringify(res));
      if(res.info.retcode==0){
        var data={};
        data.totalPrice=totalPrice;
        data.productName=api.pageParam.country_name+api.pageParam.visa_type;
        data.orderNo=res.info.order_no;
        setAlipay(data);
      }
  });
}
