apiready = function(){
  api.parseTapmode();
  initVisa();
}
function initVisa(){
  setTimeout(function() {
    api.showProgress({
      title : ' ',
      text : '加载中...',
      modal : true
    });
   }, 300);
  var param={};
  param.visa_id=api.pageParam.visa_id;
  var result = visaDetail(param);
  result.then(function (res) {
    // console.log(JSON.stringify(res));
      api.hideProgress();
     if(res.status == 200){
       var html = template('visa_tmpl',{visa:res.info});
       $('#div_visa').html(html);
       var html = template('footer_tmpl',{visa:res.info});
       $('#div_footer').html(html);

       var visa={
         zzry:[],//在职人员
         wyry:[],//无业人员
         txry:[],//退休人员
         xs:[],//学生
         xlqrt:[]//学龄前儿童
       };
       for (var i = 0; i < res.info.data_content.length; i++) {
         var data_content=res.info.data_content[i];
         data_content.contents=escape2Html(data_content.contents);
         switch (data_content["crowdType"]) {
           case "1":
             visa.zzry.push(data_content);
             break;
           case "2":
             visa.wyry.push(data_content);
             break;
           case "3":
             visa.txry.push(data_content);
             break;
           case "4":
             visa.xs.push(data_content);
             break;
           case "5":
             visa.xlqrt.push(data_content);
             break;
         }
       }
       var html = template('tab_tmpl',{visa:visa});
       $('#div_tab').html(html);
       bindTab();
     }else{
       var html = template('visa_tmpl',{visa:null});
       $('#div_visa').html(html);
       var html = template('footer_tmpl',{visa:res.info});
       $('#div_footer').html(html);
     }
   });
}
function escape2Html(str) {
 var arrEntities={'lt':'<','gt':'>','nbsp':' ','amp':'&','quot':'"'};
 return str.replace(/&(lt|gt|nbsp|amp|quot);/ig,function(all,t){return arrEntities[t];});
}
function bindTab(){
  var tab = new auiTab({
      element:document.getElementById("tab"),
      index:1,
      repeatClick:true
  },function(ret){
    switch (ret.index) {
      case 1:
        $('#tab1').show();
        $('#tab2').hide();
        $('#tab3').hide();
        $('#tab4').hide();
        $('#tab5').hide();
        break;
      case 2:
        $('#tab1').hide();
        $('#tab2').show();
        $('#tab3').hide();
        $('#tab4').hide();
        $('#tab5').hide();
        break;
      case 3:
        $('#tab1').hide();
        $('#tab2').hide();
        $('#tab3').show();
        $('#tab4').hide();
        $('#tab5').hide();
        break;
      case 4:
        $('#tab1').hide();
        $('#tab2').hide();
        $('#tab3').hide();
        $('#tab4').show();
        $('#tab5').hide();
        break;
      case 5:
        $('#tab1').hide();
        $('#tab2').hide();
        $('#tab3').hide();
        $('#tab4').hide();
        $('#tab5').show();
        break;
    }
  });
}
function tel(mobile){
  api.call({
      type: 'tel_prompt',
      number: mobile
  });
}
function onVisaConfirm(visaid,country_name,visa_type,visaprice){
  var userid=$api.getStorage('userid');
  if(!userid){
    setTimeout(function() {
      api.closeWin();
    }, 1000);
    api.openWin({
        name: 'login',
        url: '../user/loginpwd.html',
    });
    return;
  }
  var isVip=$api.getStorage('isVip');
  if(isVip==0){
    api.toast({	msg:"抱歉，您不是会员无法进行下单，请先缴纳会员费。",duration:2000,location:'bottom'});
    return;
  }
  api.openWin({
      name: 'visaconfirm',
      url: './visaconfirm.html',
      pageParam:{
        visaid:visaid,
        country_name:country_name,
        visa_type:visa_type,
        visaprice:visaprice
      }
  });
}
